libzypp 17.37.10

zypp::parser::ProductFileData::Upgrade Struct Reference

`#include <zypp/parser/ProductFileReader.h>`

## Classes
struct | Impl

## Public Member Functions
| Upgrade (Impl *allocated_r=0)
| Ctor takes ownership of `allocated_r`.
std::string | name () const
std::string | summary () const
std::string | repository () const
std::string | product () const
bool | notify () const
std::string | status () const

## Private Attributes
RWCOW_pointer< Impl > | _pimpl

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const ProductFileData::Upgrade &obj) ZYPP_API
| Stream output.

## Detailed Description

See also
  http://en.opensuse.org/Product_Management/Code11/Upgrade

Definition at line 73 of file ProductFileReader.h.

## Constructor & Destructor Documentation

## ◆ Upgrade()

zypp::parser::ProductFileData::Upgrade::Upgrade | ( | Impl * | allocated_r = 0 | ) |

Ctor takes ownership of `allocated_r`.

Definition at line 49 of file ProductFileReader.cc.

## Member Function Documentation

## ◆ name()

std::string zypp::parser::ProductFileData::Upgrade::name | ( |  | ) | const

Definition at line 53 of file ProductFileReader.cc.

## ◆ summary()

std::string zypp::parser::ProductFileData::Upgrade::summary | ( |  | ) | const

Definition at line 54 of file ProductFileReader.cc.

## ◆ repository()

std::string zypp::parser::ProductFileData::Upgrade::repository | ( |  | ) | const

Definition at line 55 of file ProductFileReader.cc.

## ◆ product()

std::string zypp::parser::ProductFileData::Upgrade::product | ( |  | ) | const

Definition at line 56 of file ProductFileReader.cc.

## ◆ notify()

bool zypp::parser::ProductFileData::Upgrade::notify | ( |  | ) | const

Definition at line 57 of file ProductFileReader.cc.

## ◆ status()

std::string zypp::parser::ProductFileData::Upgrade::status | ( |  | ) | const

Definition at line 58 of file ProductFileReader.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const ProductFileData::Upgrade & | obj )
| related

Stream output.

Definition at line 122 of file ProductFileReader.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::parser::ProductFileData::Upgrade::_pimpl
| private

Definition at line 89 of file ProductFileReader.h.

The documentation for this struct was generated from the following files:

- zypp/parser/ProductFileReader.h
- zypp/parser/ProductFileReader.cc